<?php
define('THEME_URL', get_template_directory_uri());
define('THEME_PATH', get_template_directory());
define('SITE_URL', get_site_url());


// Remove generator meta tag
remove_action('wp_head', 'wp_generator');

include_once 'inc/css.php';
include_once 'inc/js.php';


/********** THEME OPTION **************/
if( function_exists('acf_set_options_page_title') )
{
    acf_set_options_page_title( __('Istana Theme Options') );
}
if( function_exists('acf_set_options_page_menu') )
{
    acf_set_options_page_menu( __('Istana Theme Options') );
}
if( function_exists('acf_add_options_sub_page') )
{
    acf_add_options_sub_page( 'General' );
	 //acf_add_options_sub_page( 'Footer' );
}
/********** THEME OPTION **************/








add_action( 'after_setup_theme', 'istana_setup' );
if ( ! function_exists( 'istana_setup' ) ):
function istana_setup() {
	global $wp_roles;
	load_theme_textdomain( 'istana', get_template_directory() . '/languages' );
	// This theme styles the visual editor with editor-style.pps to match the theme style.
	add_editor_style();

	// This theme uses wp_nav_menu() in one location.
	register_nav_menu( 'primary', __( 'Primary Menu', 'istana' ) );

	register_nav_menu( 'footer', __( 'Footer Menu', 'istana' ) );

	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
	add_theme_support( 'post-thumbnails' );
	
	add_image_size('img_thumb',500,99999);	
	add_image_size('img_gallery',504,330,true);	
	
	
	// add_image_size('product_cate_home',227,117,true);	
	// add_image_size('product_cate_page',326,99999);	
	// add_image_size('realisaties',800,99999);
	// add_image_size('gallery_detail',800,99999);
	// add_image_size('list_blog',470,313,true);
	// add_image_size('related_blog',240,160,true);
 
	register_sidebar(array(
		'name' => __('Sidebar 1'),
		'id' => 'sidebar',
		'description' => __( 'Widgets in this area will be shown on the right-hand side of the page.' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<h3>',
		'after_title' => '</h3>'
	));

	register_sidebar(array(
		'name' => __('Sidebar 2'),
		'id' => 'sidebar2',
		'description' => __( 'Widgets in this area will be shown on the right-hand side of the page.' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<h3>',
		'after_title' => '</h3>'
	));
}
endif; // istana_setup


add_filter ( 'wp_list_categories', 'span_before_link_list_categories' );

function span_before_link_list_categories( $list ) {
$list = preg_replace('@<li([^>]*)><a([^>]*)>(.*?)</a>@i', '<li$1><a$2><span>$3</span></a>', $list);
return $list;
}
function custom_excerpt_length( $length ) {
	return 25;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );


function new_excerpt_more($more) {
	global $post;
	return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');
// function excerpt_readmore($more) {
        // return '... <a href="'. get_permalink($post->ID) . '" class="readmore">' .__("Read more","istana"). '</a>';
// }
// add_filter('excerpt_more', 'excerpt_readmore');
// function replace_excerpt($content) {
       // return str_replace('[...]',
               // '<div class="more-link"><a href="'. get_permalink() .'">Continue Reading</a></div>',
               // $content
       // );
// }
// add_filter('excerpt_more', 'replace_excerpt');
// Include all widget files

// add_filter('gettext', 'rename_admin_menu_items');
// add_filter('ngettext', 'rename_admin_menu_items');
/**
 * Replaces wp-admin menu item names
 * @param array $menu The menu array.
 * @return $menu Menu array with replaced items.
 */
// function rename_admin_menu_items( $menu ) {
	
	// // $menu = str_ireplace( 'original name', 'new name', $menu );
	// $menu = str_ireplace( 'Theme Options', 'istana Options', $menu );
	
	// // return $menu array
	// return $menu;
// }




 

function add_slug_body_class( $classes ) {
global $post;
if ( isset( $post ) ) {
	$classes[] = $post->post_type . '-' . $post->post_name;
}
	return $classes;
}
add_filter( 'body_class', 'add_slug_body_class' );


// add_filter('mce_css', 'tuts_mcekit_editor_style');  
// function tuts_mcekit_editor_style($url) {  
  
    // if ( !empty($url) )  
        // $url .= ',';  
  
    // // Retrieves the plugin directory URL  
    // // Change the path here if using different directories  
    // $url .= trailingslashit(get_stylesheet_directory_uri(__FILE__)).'editor-style.css';  
  
    // return $url;   
// }  
// /** 
 // * Add styles/classes to the "Styles" drop-down 
 // */   
// add_filter( 'tiny_mce_before_init', 'tuts_mce_before_init' );  
  
// function tuts_mce_before_init( $settings ) {  
  
    // $style_formats = array(
		
		
		// array(  
            // 'title' => 'alignRight',  
            // 'selector' => 'p',  
            // 'classes' => 'alignRight',  
        // )
		
		
    // );  
  
    // $settings['style_formats'] = json_encode( $style_formats );  
  
    // return $settings;  
  
// }  
  
// /* Learn TinyMCE style format options at http://www.tinymce.com/wiki.php/Configuration:formats */  
  
// /* 
 // * Add custom stylesheet to the website front-end with hook 'wp_enqueue_scripts' 
 // */  
// add_action('wp_enqueue_scripts', 'tuts_mcekit_editor_enqueue');  
  
// /* 
 // * Enqueue stylesheet, if it exists. 
 // */  
// function tuts_mcekit_editor_enqueue() {  
  // $StyleUrl = get_stylesheet_directory_uri(__FILE__).'/editor-style.css'; // Customstyle.css is relative to the current file  
  // wp_enqueue_style( 'myCustomStyles', $StyleUrl );  
// }  
// add_filter( 'request', 'my_request_filter' );
// function my_request_filter( $query_vars ) {
	// if( isset( $_GET['s'] ) && empty( $_GET['s'] ) ) {
	// $query_vars['s'] = " ";
	// }
	// return $query_vars; 
// }
// global $sitepress;
// remove_filter( 'comments_clauses', array( $sitepress, 'comments_clauses' ) );




function string_limit_words($string, $word_limit)
{
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
}
add_filter('redirect_canonical','pif_disable_redirect_canonical');

function pif_disable_redirect_canonical($redirect_url) {
    if (is_singular()) $redirect_url = false;
return $redirect_url;
}